1. Guest, as per the stickied thread, this forum has not been in use since 2014. All bugs and feature requests should be posted to JIRA.

Bug Anvil bug

Discussion in 'Bugs & Feature Requests' started by DMANX00, May 1, 2015.

  1. I currently use Spigot 1.7/ 1.8 at the latest build. When players are logged in the server with 1.8, they cannot use anvils, while players in 1.7 can. I understand we have a new leveling system in 1.8, and enchanting is completely different, but does anyone have a patch for this bug?

    Thanks,
    - Micro
     
    #1 DMANX00, May 1, 2015
    Last edited: May 1, 2015
  2. "I use Spigot 1.7/ 1.8"
    wat?
     
  3. Procotol hack.
     
  4. This has been a problem on many servers :/
     
  5. Are you on 1.8 spigot or 1.7 spigot?
     
  6. Spigot 1.8
     
  7. Use spigot 1.7.10 then backport the fix.
     
    • Informative Informative x 1
  8. What's backporting? And I want to keep Spigot 1.8 lol
     
  9. Take from one to the other, and why?
     
  10. I want my server to stay 1.8, I don't want any changes.
     
  11. then remove protocol hack.
     
  12. I don't have the protocol hack
     
  13. Cldfire

    Cldfire Retired Moderator
    Retired

    I don't think there is a fix for this bug due to the new system in 1.8. At this point you'll just have to move on to 1.8 or deal with it :/

    Since they use the 1.7 enchant method in the protocol hack, the 1.8 client must have something in the code that prevents it from working properly.